FIX::ScreenLogFactory Class Reference

Creates a screen based implementation of Log. More...

`#include <Log.h>`

Inheritance diagram for FIX::ScreenLogFactory:
[legend]
Collaboration diagram for FIX::ScreenLogFactory:
[legend]

## Public Member Functions

| ScreenLogFactory (const SessionSettings &settings)
| ScreenLogFactory (bool incoming, bool outgoing, bool event)
Log * | create ()
Log * | create (const SessionID &)
void | destroy (Log *log)
Public Member Functions inherited from FIX::LogFactory
virtual | ~LogFactory ()

## Private Member Functions

void | init (const Dictionary &settings, bool &incoming, bool &outgoing, bool &event)

## Private Attributes

bool | m_incoming
bool | m_outgoing
bool | m_event
bool | m_useSettings
SessionSettings | m_settings

## Detailed Description

Creates a screen based implementation of Log.

This displays all log events onto the standard output

Definition at line 73 of file Log.h.

## Constructor & Destructor Documentation

## ScreenLogFactory() [1/2]

FIX::ScreenLogFactory::ScreenLogFactory | ( | const SessionSettings & | settings | ) |

inline

Definition at line 76 of file Log.h.

{

## ScreenLogFactory() [2/2]

FIX::ScreenLogFactory::ScreenLogFactory | ( | bool | incoming,
|  | bool | outgoing,
|  | bool | event
| ) |  |

inline

Definition at line 78 of file Log.h.

{

## Member Function Documentation

## create() [1/2]

Log * FIX::ScreenLogFactory::create | ( |  | ) |

virtual

Implements FIX::LogFactory.

Definition at line 49 of file Log.cpp.

{
if( m_useSettings )
{
incoming = true;

References m_useSettings.

## create() [2/2]

Log * FIX::ScreenLogFactory::create | ( | const SessionID & | sessionID | ) |

virtual

Implements FIX::LogFactory.

Definition at line 56 of file Log.cpp.

{

## destroy()

void FIX::ScreenLogFactory::destroy | ( | Log * | log | ) |

virtual

Implements FIX::LogFactory.

Definition at line 90 of file Log.cpp.

## init()

void FIX::ScreenLogFactory::init | ( | const Dictionary & | settings,
|  | bool & | incoming,
|  | bool & | outgoing,
|  | bool & | event
| ) |  |

private

Definition at line 67 of file Log.cpp.

{
delete pLog;
}
} //namespace FIX

## Member Data Documentation

## m_event

bool FIX::ScreenLogFactory::m_event

private

Definition at line 90 of file Log.h.

## m_incoming

bool FIX::ScreenLogFactory::m_incoming

private

Definition at line 88 of file Log.h.

## m_outgoing

bool FIX::ScreenLogFactory::m_outgoing

private

Definition at line 89 of file Log.h.

## m_settings

SessionSettings FIX::ScreenLogFactory::m_settings

private

Definition at line 92 of file Log.h.

## m_useSettings

bool FIX::ScreenLogFactory::m_useSettings

private

Definition at line 91 of file Log.h.

Referenced by create().

The documentation for this class was generated from the following files:

- Log.h
- Log.cpp

FIX::ScreenLogFactory::m_useSettings
bool m_useSettings
Definition: Log.h:91